### Method

# Gdk ScrollEvent get_deltas

#### Declaration [src]

    void
    gdk_scroll_event_get_deltas (
      GdkEvent* event,
      double* delta_x,
      double* delta_y
    )

#### Description [src]

Extracts the scroll deltas of a scroll event.

The deltas will be zero unless the scroll direction is `GDK_SCROLL_SMOOTH`.

#### Parameters

`delta_x` | `double*`
| Return location for x scroll delta.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`delta_y` | `double*`
| Return location for y scroll delta.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.